Clients
Edit Client
Updates an existing client. The client_name field is required on every request.
PATCH
/
clients
/
{id}
Edit Client
curl --request PATCH \
--url https://api.roostedhr.com/api/1_12/clients/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"client_name": "<string>",
"client_contact_name": "<string>",
"client_contact_email": "<string>",
"client_invoice_customer_id": "<string>",
"client_address": "<string>",
"client_city": "<string>",
"client_state": "<string>",
"client_postal_code": "<string>"
}
'import requests
url = "https://api.roostedhr.com/api/1_12/clients/{id}"
payload = {
"client_name": "<string>",
"client_contact_name": "<string>",
"client_contact_email": "<string>",
"client_invoice_customer_id": "<string>",
"client_address": "<string>",
"client_city": "<string>",
"client_state": "<string>",
"client_postal_code": "<string>"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
client_name: '<string>',
client_contact_name: '<string>',
client_contact_email: '<string>',
client_invoice_customer_id: '<string>',
client_address: '<string>',
client_city: '<string>',
client_state: '<string>',
client_postal_code: '<string>'
})
};
fetch('https://api.roostedhr.com/api/1_12/clients/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
trueclient_name is required on every PATCH request, even if you are only updating other fields.Authorizations
Path Parameters
Client ID
Body
application/json
Client fields to update. client_name is required.
Required string length:
1 - 255Maximum string length:
255Maximum string length:
255Maximum string length:
255Maximum string length:
65535Maximum string length:
255Maximum string length:
255Maximum string length:
255Response
OK
The response is of type boolean.
⌘I
Edit Client
true